Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Variable

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.dynamics.Variable

Direct Known Subclasses:
  VariableRole

public class Variable
extends MutableDataElementSupport

Model parameter.

pending add isInit, isUsed attributes and they processing

Constructor Summary
`Variable(String name, EModel model, DataCollection origin)`

Method Summary
`String` | `getComment()`
`double` | `getInitialValue()`
`String` | `getUnits()`
`boolean` | `isConstant()`
`void` | `setComment(String comment)`
`void` | `setConstant(boolean constant)`
`void` | `setInitialValue(double initialValue)`
`void` | `setName(String name)` Warning: for intrnal usage only.
`void` | `setUnits(String units)`
`String` | `toString()`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin`

Constructor Detail

### Variable

    public Variable(String name, EModel model, DataCollection origin)

Method Detail

### getComment

    public String getComment()

### getInitialValue

    public double getInitialValue()

### getUnits

    public String getUnits()

### isConstant

    public boolean isConstant()

### setComment

    public void setComment(String comment)

### setConstant

    public void setConstant(boolean constant)

### setInitialValue

    public void setInitialValue(double initialValue)

### setName

    public void setName(String name)

  Warning: for intrnal usage only.

### setUnits

    public void setUnits(String units)

### toString

    public String toString()

Association Links

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM